package com.nantian.cloud.dbcapp.carbon.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.carbon.domain.ent.InstrumentInfo;

import java.util.List;

/**
 * <p>
 * 计量器具信息 服务类
 * </p>
 *
 * @author wujing
 * @since 2022-09-28
 */
public interface InstrumentInfoService extends IService<InstrumentInfo> {

    List<InstrumentInfo> selectByEntId(String entCode);

    InstrumentInfo selectById(String entCode,Integer id);

    IPage<InstrumentInfo> getList(Page page, InstrumentInfo instrumentInfo);

    List<InstrumentInfo> listAll(InstrumentInfo instrumentInfo);

    int saveInfo(InstrumentInfo instrumentInfo);

    int updateInfoById(InstrumentInfo instrumentInfo);


}
